#ifndef DS1621_PROTOTYPES_H
#define	DS1621_PROTOTYPES_H
//------------------------------------------------------------------------------
#include <xc.h>
//----------------------------DS1621--------------------------------------------
#define CONFIG_REG  0xAC
#define START_CONV  0xEE
#define TEMP_REG    0xAA
#define CONT_CONV   0x02
#define FRAC_FLAG   0x0080
#define Rd          1
#define Wr          0
//------------------------------------------------------------------------------
void DS1621_Init(char Addr);
void DS1621_Config(char Addr);
void DS1621_StartConv(char Addr);
int  DS1621_ReadTemp(char Addr);
//------------------------------------------------------------------------------
float toFloat(signed int tempr);
//------------------------------------------------------------------------------
#endif