/* 
 * File:   main.c
 * Author: chengo
 *
 * Created on March 27, 2019, 8:35 PM
 */
//------------------------------------------------------------------------------
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
//------------------------------------------------------------------------------
#define _XTAL_FREQ  4000000
//------------------------------------------------------------------------------
#include "DS1621_Tempr.h"
#include "Lcd4.h"
//------------------------------------------------------------------------------
#define Addr 0x90 // Device Address
char result[20];
int tempr;
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
  I2C_init(100);
  LCD_init();  
  DS1621_Init(Addr);
    
  while(1)
  {     
    tempr = DS1621_ReadTemp(Addr);
    
    sprintf(result,"Tempr:%3.2fC",toFloat(tempr));
    LCD_string(0,2,result);    
     
    __delay_ms(1000);
    LCD_command(clear);
  }
  
  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------