# 1 "MCP9808.c"
# 1 "<built-in>" 1
# 1 "<built-in>" 3
# 288 "<built-in>" 3
# 1 "<command line>" 1
# 1 "<built-in>" 2
# 1 "C:\\Program Files (x86)\\Microchip\\xc8\\v2.05\\pic\\include\\language_support.h" 1 3
# 2 "<built-in>" 2
# 1 "MCP9808.c" 2




# 1 "./I2C.h" 1




void I2C_init(unsigned int speed)
{
  SCK_dir = 1;
  SDA_dir = 1;

  SSPADD = ((_XTAL_FREQ/4000)/speed) - 1;
  SSPSTAT = 0x80;
  SSPCON = 0x28;
}

void I2C_start(void)
{
  SEN = 1;
  while(!SSPIF);
  SSPIF = 0;
}

void I2C_restart(void)
{
  RSEN = 1;
  while(!SSPIF);
  SSPIF = 0;
}

void I2C_stop(void)
{
  PEN = 1;
  while(!SSPIF);
  SSPIF = 0;
}

void I2C_ack(char acknowledge)
{
  ACKDT = acknowledge;
  ACKEN = 1;
  while(!SSPIF);
  SSPIF = 0;
}

unsigned char I2C_write(unsigned char data)
{
  SSPBUF = data;
  while(!SSPIF);
  SSPIF = 0;

  return ACKSTAT;
}

unsigned char I2C_read(char acknowledge)
{
   RCEN = 1;
   while(!SSPIF);
   SSPIF = 0;
   I2C_ack(acknowledge);

   return SSPBUF;
}



char I2C_busy()
{
  char isBusy = (SSPCON2 & 0x1F) | R_W;

  return isBusy;
}
# 5 "MCP9808.c" 2


void readTempr()
{
    char AddressByte = 0x30;
    int Temperature;
    I2C_start();
    I2C_write (AddressByte & 0xFE);

    I2C_write(0x05);
    I2C_start();
    I2C_write(AddressByte | 0x01);

    char UpperByte = I2C_read(0);

    char LowerByte = I2C_read(1);

    I2C_stop();


    if ((UpperByte & 0x80) == 0x80){
    }
    if ((UpperByte & 0x40) == 0x40){
    }
    if ((UpperByte & 0x20) == 0x20){
    }
    UpperByte = UpperByte & 0x1F;
    if ((UpperByte & 0x10) == 0x10){
    UpperByte = UpperByte & 0x0F;
     Temperature = 256 - (UpperByte * 16 + LowerByte / 16);
    }else
    Temperature = (UpperByte * 16 + LowerByte / 16);

    }
